$rank-colors: (
  first: '#cd1e10',
  second: '#f1ab00',
  third: '#007e3a'
);
$label-colors: (
  completed: rgb(15,125,45),
  important: rgb(217,35,29),
  normal: rgb(31,33,37)
);

@mixin generateRankColors($item, $color) {
  .dashboard__rank--#{$item} {
    background-color: #{$color} !important;
  }
}
@each $item, $color in $rank-colors {
  @include generateRankColors($item, $color)
}

@mixin generateLabelColors($item, $color) {
  .dashboard__label--#{$item} {
    color: #{$color} !important;
    @if ($item == 'important') {
      font-weight: bold;
    }
  }
}
@each $item, $color in $label-colors {
  @include generateLabelColors($item, $color)
}

.dashboard__a-no-decoration {
  text-decoration: none !important;
}

.dashboard__pL-0 {
  padding-left: 0 !important;
}

.dashboard__label--needs-attention-24-bold {
  font-size: 24px;
  font-weight: bold;
}

.dashboard__map {
  width: 100%;
  height: 100%;
}

.dashboard__gitlab {
  &__tag {
    margin: 0.3em 0.3em 0 0;
  }
}
